MotionVideo 검색

동영상, 크리에이터, 도구, 크리에이티브 검색…

Get the filters

Every value the search endpoints filter by, with how many videos or entries carry it: video categories (with titles and descriptions), models, colours and types; each directory section's filters, categories and sorts; and the move families.

GEThttps://motionvideo.xyz/api/catalog/facets

요청 예시

curl -X GET 'https://motionvideo.xyz/api/catalog/facets'

응답

200

The filter values.

헤더

  • Cache-Controlstring

    Browsers reuse a response for 5 minutes and shared caches for an hour, then may serve it stale for up to a day while they revalidate.

    값:public, max-age=300, s-maxage=3600, stale-while-revalidate=86400

응답 본문application/json

  • videosobject필수
    필드 보기
    • totalinteger필수
    • creatorsinteger필수

      How many creators have videos.

    • categoriesobject[]필수
      필드 보기
      • idstring필수

        값:product-uiphonechartsdiagramskinetic-typeshapesparticlescharactersphotosmusiccode

      • countinteger필수
      • titlestring필수
      • descriptionstring필수
      • urlstringuri필수
    • modelsobject[]필수
      필드 보기
      • idstring필수

        값:Opus 5.5Fable 5Fable 5.1Fable 5.2Fable 5.5Mythos 5Mythos 5.2GPT-6 AstraGemini 4 ArgonGemini 4 CarbonGemini 4 Neon

      • countinteger필수
      • fullNamestring필수
      • familystring필수
    • colorsobject[]필수
      필드 보기
      • idstring필수

        값:redorangeyellowgreentealbluepurplepinkbrownblackwhitegray

      • countinteger필수
      • hexstring필수
    • typesFacetCount[]필수
      필드 보기
      • idstring필수
      • countinteger필수
    • sortsstring[]필수

      값:newestoldest

  • directoriesobject[]필수
    필드 보기
    • sectionstring필수

      값:toolsskillscreativesextras

    • totalinteger필수
    • filtersFacetCount[]필수
      필드 보기
      • idstring필수
      • countinteger필수
    • categoriesFacetCount[]필수
      필드 보기
      • idstring필수
      • countinteger필수
    • sortsstring[]필수

      값:addedstarsupdatednewestoldest

  • movesobject필수
    필드 보기
    • totalinteger필수
    • familiesobject[]필수
      필드 보기
      • idstring필수

        값:timingtypetransitionsuivectorgenerativecameratexturedatasound

      • countinteger필수

예시

{
  "videos": {
    "total": 0,
    "creators": 0,
    "categories": [
      {
        "id": "product-ui",
        "count": 0,
        "title": "string",
        "description": "string",
        "url": "http://example.com"
      }
    ],
    "models": [
      {
        "id": "Opus 5.5",
        "count": 0,
        "fullName": "string",
        "family": "string"
      }
    ],
    "colors": [
      {
        "id": "red",
        "count": 0,
        "hex": "string"
      }
    ],
    "types": [
      {
        "id": "string",
        "count": 0
      }
    ],
    "sorts": [
      "newest"
    ]
  },
  "directories": [
    {
      "section": "tools",
      "total": 0,
      "filters": [
        {
          "id": "string",
          "count": 0
        }
      ],
      "categories": [
        {
          "id": "string",
          "count": 0
        }
      ],
      "sorts": [
        "added"
      ]
    }
  ],
  "moves": {
    "total": 0,
    "families": [
      {
        "id": "timing",
        "count": 0
      }
    ]
  }
}

400

A parameter is unknown or has a value it can't take.

응답 본문application/json

  • errorstring필수

    값:invalid_parameter

  • parameterstring필수
  • messagestring필수
  • allowedstring[]

    The values the parameter can take, when it has a fixed set.

예시

{
  "error": "invalid_parameter",
  "parameter": "string",
  "message": "string",
  "allowed": [
    "string"
  ]
}